function transposemat(filename,filepath,mode)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

rowedit=findobj('tag','rowedit');
columnedit=findobj('tag','columnedit');

zeilen=str2num(get(rowedit,'string'));
spalten=str2num(get(columnedit,'string'));

sourcehandle=fopen(filename,'rt');
targetfilename=strrep(filename, '.txt','trans.txt');
targethandle=fopen(targetfilename,'wt');

[datamat]=fscanf(sourcehandle,'%f', [spalten,zeilen]);
datamatgroesse=size(datamat);
transdatamat=datamat';
for spaltenzaehler=1:spalten
   for zeilenzaehler=1:zeilen
      fprintf(targethandle,'%f ',transdatamat(zeilenzaehler,spaltenzaehler));
   end
   fprintf(targethandle,'\n');
end
fclose(targethandle);
fclose(sourcehandle);
ok

transposew=findobj('tag','transposewindow');
close(figure(transposew));


return